<?php

namespace App\Models;

class PropertyPlaceCategoryFieldValue extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_place_category_field_value';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    /**
     * @return mixed
     */

    public function placeCategoryField()
    {
        return $this->hasOne('App\Models\PlaceCategoryField','id', 'place_category_field_id') ;
    }

    public function unitValue()
    {
        return $this->hasOne('App\Models\PropertyUnit','id', 'unit_value') ;
    }


    public function optionValue()
    {
        return $this->hasOne('App\Models\PlaceCategoryFieldOption','id', 'option_value') ;
    }


}
